FUNCTION GetMseDrvPresent: BOOLEAN;
VAR
   TheVector: POINTER;
BEGIN
     GetIntVec($33,TheVector);
     GetMseDrvPresent := NOT(TheVector = nil);
END;

FUNCTION GetMousePresent: BOOLEAN;
VAR
   Regs: Registers;
BEGIN
     Regs.ax := 0;
     Intr($33,Regs);
     GetMousePresent := NOT(Regs.ax = 0);
END;

FUNCTION GetMseDrvVersion: WORD;
VAR
   Regs: Registers;
BEGIN
     Regs.ax := $0024;
     Intr($33,Regs);
     GetMseDrvVersion := Regs.bx;
END;

PROCEDURE PrtMouse(Drv,Mse: BOOLEAN; DrvVer: WORD);
VAR
   HB,LB,HN,LN: BYTE;
BEGIN
     WRITE(output,'Mouse Driver   : ');
     CASE Drv OF
          FALSE: WRITE(output,'Not Present');
          TRUE : WRITE(output,'Present');
     END;
     WRITELN(output);
     WRITE(output,'Mouse Connected: ');
     CASE Mse OF
          FALSE: WRITE(output,'No');
          TRUE : WRITE(output,'Yes');
     END;
     WRITELN(output);
     WRITE(output,'Driver Version : ');
     IF Drv THEN
     BEGIN
          LB := LO(DrvVer);
          HB := HI(DrvVer);
          LN := LB MOD 16;
          HN := LB DIV 16;
          LB := LB - (HN * 6);
          WRITE(output,HB,'.',HN,LN);
     END
     ELSE
         WRITE(output,'0.00');
     WRITELN(output);
END;
